查询事件样本列表
curl --request POST \
--url 'https://api.flashcat.cloud/enrichment/sample/list?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"integration_id": 6113996590131
}
'import requests
url = "https://api.flashcat.cloud/enrichment/sample/list?app_key="
payload = { "integration_id": 6113996590131 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({integration_id: 6113996590131})
};
fetch('https://api.flashcat.cloud/enrichment/sample/list?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/enrichment/sample/list?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration_id' => 6113996590131
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/enrichment/sample/list?app_key="
payload := strings.NewReader("{\n \"integration_id\": 6113996590131\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/enrichment/sample/list?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"integration_id\": 6113996590131\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/enrichment/sample/list?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration_id\": 6113996590131\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {
"items": [
{
"received_at": 1792657352,
"event": {
"title": "CPU usage 94% on checkout-7",
"title_rule": "$service::$check",
"description": "CPU usage above 90% for 5 minutes.",
"alert_key": "cpu-usage-high:checkout-7",
"event_status": "Critical",
"event_severity": "Critical",
"event_time": 1792657345,
"labels": {
"check": "cpu",
"env": "prod",
"host": "checkout-7"
},
"images": []
},
"description_truncated": false
}
]
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}标签增强
查询事件样本列表
查询某个集成最近收到的原始事件,最新的在前。
POST
/
enrichment
/
sample
/
list
查询事件样本列表
curl --request POST \
--url 'https://api.flashcat.cloud/enrichment/sample/list?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"integration_id": 6113996590131
}
'import requests
url = "https://api.flashcat.cloud/enrichment/sample/list?app_key="
payload = { "integration_id": 6113996590131 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({integration_id: 6113996590131})
};
fetch('https://api.flashcat.cloud/enrichment/sample/list?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/enrichment/sample/list?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration_id' => 6113996590131
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/enrichment/sample/list?app_key="
payload := strings.NewReader("{\n \"integration_id\": 6113996590131\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/enrichment/sample/list?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"integration_id\": 6113996590131\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/enrichment/sample/list?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration_id\": 6113996590131\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {
"items": [
{
"received_at": 1792657352,
"event": {
"title": "CPU usage 94% on checkout-7",
"title_rule": "$service::$check",
"description": "CPU usage above 90% for 5 minutes.",
"alert_key": "cpu-usage-high:checkout-7",
"event_status": "Critical",
"event_severity": "Critical",
"event_time": 1792657345,
"labels": {
"check": "cpu",
"env": "prod",
"host": "checkout-7"
},
"images": []
},
"description_truncated": false
}
]
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每个账户 1,000 次/分钟;50 次/秒 |
| 权限要求 | 协作空间管理(on-call)或 集成中心查看(on-call)或 集成中心管理(on-call) |
使用说明
- 样本是进入标签增强时的事件,因此能看到规则实际匹配的标签。
- 集成必须存在,且调用方有权读取它。
- 每个集成只保留最近 20 条原始事件,保存 7 天;该列表用于核对规则,不用于检索历史。
- 样本保存最多 8 KiB 的描述(被截断时
description_truncated为true);超过 64 KiB 的事件不会保留。 dropped标记集成在事件成为告警之前丢弃的样本。
授权
在 Flashduty 控制台 我的 → APP Key 中创建的 APP Key。可通过 query 参数 app_key 或请求头 Fd-App-Key 传入。实际可访问范围是该 APP Key 的权限范围与创建者当前角色权限的交集,请妥善保管。
请求体
application/json
POST /enrichment/sample/list 的请求体。
要查看最近原始事件的集成 ID。
必填范围:
x >= 1此页面对您有帮助吗?